package org.stm.metric.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.stm.metric.entity.MetricAppSystem;
import org.stm.metric.entity.MetricAppSystemReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.stm.metric.entity.MetricMonitorSet;

/**
 * @Description: 应用系统运行记录表
 * @Author: jeecg-boot
 * @Date:   2024-03-23
 * @Version: V1.0
 */
public interface MetricAppSystemReportMapper extends BaseMapper<MetricAppSystemReport> {

    List<Map<String,Object>> caluculatAppSystems();
    List<Map<String,Object>> caluculatAppEventCount();
    List<Map<String,Object>> caluculatAppUrgentCount();
    List<Map<String,Object>> caluculatAppFaultCount();
}
